Bug 194128 - bind does not refresh DNS records with short TTL
bind does not refresh DNS records with short TTL
Status: CLOSED DEFERRED
Product: Fedora Legacy
Classification: Retired
Component: bind (Show other bugs)
rhl7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-05 17:36 EDT by Milan Kerslager
Modified: 2007-04-18 13:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 11:01:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2006-06-05 17:36:16 EDT
As a number of DNS records with short TTL grows, the bind from RHL7.3 (fully
updated from fedoralegacy.org) is almost unusable. This short-term records are
not refreshed after expiration so some Web addresses are unreachable:

# cat /etc/resolv.conf
nameserver 127.0.0.1
# dig download.fedoralegacy.org
...
;; QUESTION SECTION:
;download.fedoralegacy.org.     IN      A
...
(ie this DNS question failed as non-existed, other DNS queries works)
# /etc/init.d/named restart
... (bind restarted)
# dig download.fedoralegacy.org
...
;; ANSWER SECTION:
download.fedoralegacy.org. 1913 IN      CNAME   legacy.linux.duke.edu.
legacy.linux.duke.edu.  1800    IN      A       152.3.183.83
...

I reported this as the bug #65470 but it has been never fixed. I RHL7.3 days I
workarounded this bug by using own recent version of bind. After the TTL
expiration bind sometimes enter to this state. As fedoralegacy.org has short
term TTLs now, yum autoupdates does not work.
Comment 1 Jesse Keating 2006-08-13 11:01:56 EDT
Unfortunately not really a security issue.

If you have a patch that applies to RHL7.3's bind we could include it if we ever
have to update bind.

Note You need to log in before you can comment on or make changes to this bug.